Question regarding updates and problems with ati/xorg

Anything that pertains to Portage

Moderator: Moderators

Post Reply
johanPO
Baby Hen
Posts: 13
Joined: Mon May 28, 2007 20:18

Question regarding updates and problems with ati/xorg

Post by johanPO » Sat Jun 02, 2007 17:36

I am new to Gentoo/Sabayon. I downloaded and installed 3.4 Loop 2.

I am now in the process of trying to get the latest updates to the system. I am having some issues

after emerge --sync and layman -S it try with

emerge -upDN --world

and get the following

These are the packages that would be merged, in order:

Calculating world dependencies /
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
net-firewall/firestarter net-www/gentoo-webroot-default

... done!
[ebuild U ] dev-db/sqlite-3.3.17 [3.3.12] USE="-soundex%"
then a large number of packages followed by

[blocks B ] x11-drivers/ati-drivers (is blocking x11-base/xorg-server-1.3.0. 0-r1)


To this I have two questions
1. I have both firestarter and the gentoo-webroot installed and none of them are in the package.mask. Is this something that I need to do something about?

2 More important. How do I solve the second issue, that the ati driver and xorg-server are blocking each other?

j7uy5
Simple Hen
Posts: 85
Joined: Tue Nov 07, 2006 4:03
Location: Las Cruces, New Mexico, USA
Contact:

Post by j7uy5 » Sun Jun 03, 2007 2:00

I don't have an ATI card so this is a bit of a guess, but I would guess that the ati-driver package is the open source driver and you are probably using the proprietary driver. If so, you could remove the ati-driver and it would not hurt anything. If that is the only blocker, you should be all set.

You might want to search in the forums to see what people have to say about updating world. In many cases there is no particular reason to do so. Just update the packages when you need to to fix a problem, or if there is a security fix.

nemesis
Simple Hen
Posts: 69
Joined: Sun Feb 04, 2007 0:19
Location: Grovetown, GA

Post by nemesis » Sun Jun 03, 2007 9:36

emerge --sync again. I had the same problem. Just had to give the packages time to catch up to each other.

Dark_MaGe
Your Farmer
Posts: 1699
Joined: Thu Jun 29, 2006 8:19
Location: Catania Italy
Contact:

Post by Dark_MaGe » Sun Jun 03, 2007 9:38

give a "layman -s sabayon" I've fixed it yesterday ;)
Image

johanPO
Baby Hen
Posts: 13
Joined: Mon May 28, 2007 20:18

Post by johanPO » Sun Jun 03, 2007 12:09

Thanks! My CPU is working hard compiling now

voxiac
Advanced Hen
Posts: 218
Joined: Sat Feb 10, 2007 17:05
Location: Denmark

Post by voxiac » Sun Jun 03, 2007 13:55

Dark_MaGe wrote:give a "layman -s sabayon" I've fixed it yesterday ;)
It looks like Gentoo fixed it also ;):
http://sources.gentoo.org/viewcvs.py/ge ... iew=markup

Dark_MaGe
Your Farmer
Posts: 1699
Joined: Thu Jun 29, 2006 8:19
Location: Catania Italy
Contact:

Post by Dark_MaGe » Sun Jun 03, 2007 20:28

not for amd64 I synced yesterday and commit the fix on our overlay
Image

voxiac
Advanced Hen
Posts: 218
Joined: Sat Feb 10, 2007 17:05
Location: Denmark

Post by voxiac » Sun Jun 03, 2007 21:35

Dark_MaGe wrote:not for amd64 I synced yesterday and commit the fix on our overlay
Yup they've also changed it yesterday... Ok, the bug was fixed before your commit:
http://bugs.gentoo.org/show_activity.cgi?id=180611
But AFAIK there's a lag between cvs commit and general availability on public servers...

Post Reply